Update Alert Config
curl --request POST \
--url https://api.velt.dev/v2/memory/alerts/config/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"config": {}
}
}
'import requests
url = "https://api.velt.dev/v2/memory/alerts/config/update"
payload = { "data": { "config": {} } }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {config: {}}})
};
fetch('https://api.velt.dev/v2/memory/alerts/config/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"success": true
}
}
Alerts
Update Alert Config
POST
/
v2
/
memory
/
alerts
/
config
/
update
Update Alert Config
Use this API to store the workspace’s alert settings.
Endpoint
POST https://api.velt.dev/v2/memory/alerts/config/update
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
object
required
{ enabled?, maxAlertsPerWeek?, enabledAlertTypes?, severityThreshold? }. severityThreshold is high, medium, or low. maxAlertsPerWeek must be a non-negative integer. enabledAlertTypes is an array of alert types: anomaly, configuration_drift, emerging_standard, or standards_drift. Unrecognized alert types and unrecognized keys inside config are accepted, stored, and returned by Get Alert Config.Example Requests
Store alert settings
{
"data": {
"config": {
"enabled": true,
"maxAlertsPerWeek": 3,
"severityThreshold": "medium"
}
}
}
Response
The response confirms the update. The config is merged into the workspace’s stored settings and returned by Get Alert Config. These values are not applied to alert generation today. Alerts are capped at 3 per rolling 7 days per workspace.Success Response
{
"result": {
"success": true
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"success": true
}
}
Was this page helpful?
⌘I

